Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service.model
Class EndpointInfo

    java.lang.Object
      org.apache.cxf.service.model.AbstractPropertiesHolder
          org.apache.cxf.service.model.EndpointInfo

    public class EndpointInfo

extends AbstractPropertiesHolder

Constructor Summary
`EndpointInfo()`
`EndpointInfo(ServiceInfo serv, java.lang.String ns)`

Method Summary
`java.lang.String` | `getAddress()`
`BindingInfo` | `getBinding()`
`InterfaceInfo` | `getInterface()`
`javax.xml.namespace.QName` | `getName()`
`ServiceInfo` | `getService()`
`java.lang.String` | `getTransportId()`
`void` | `setAddress(java.lang.String a)`
`void` | `setBinding(BindingInfo b)`
`void` | `setName(javax.xml.namespace.QName n)`

Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder
`addExtensor, getExtensor, getExtensors, getExtensors, getProperty, getProperty, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EndpointInfo

    public EndpointInfo()

### EndpointInfo

    public EndpointInfo(ServiceInfo serv,
                        java.lang.String ns)

Method Detail

### getTransportId

    public java.lang.String getTransportId()

### getInterface

    public InterfaceInfo getInterface()

### getService

    public ServiceInfo getService()

### getName

    public javax.xml.namespace.QName getName()

### setName

    public void setName(javax.xml.namespace.QName n)

### getBinding

    public BindingInfo getBinding()

### setBinding

    public void setBinding(BindingInfo b)

### getAddress

    public java.lang.String getAddress()

### setAddress

    public void setAddress(java.lang.String a)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

-